/*_############################################################################
  _## 
  _##  SNMP4J-Model - SnmpProxyObjectImpl.java  
  _## 
  _##  Copyright (C) 2013-2022  Frank Fock (SNMP4J.org)
  _##  
  _##  This program is free software; you can redistribute it and/or modify
  _##  it under the terms of the GNU General Public License version 2 as 
  _##  published by the Free Software Foundation.
  _##
  _##  This program is distributed in the hope that it will be useful,
  _##  but WITHOUT ANY WARRANTY; without even the implied warranty of
  _##  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  _##  GNU General Public License for more details.
  _##
  _##  You should have received a copy of the GNU General Public License
  _##  along with this program; if not, write to the Free Software
  _##  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, 
  _##  MA  02110-1301  USA
  _##  
  _##########################################################################*/
package org.snmp4j.model.snmp.proxy.impl;

import org.snmp4j.model.snmp.proxy.SnmpProxyObject;
import org.snmp4j.smi.OID;
import org.snmp4j.smi.OctetString;

/**
 * The {@link SnmpProxyObjectImpl} class implements the {@link org.snmp4j.model.snmp.proxy.SnmpProxyObject}
 * interface.
 *
 * @author Frank Fock
 */
public abstract class SnmpProxyObjectImpl implements SnmpProxyObject {

  protected OID oid;
  protected OctetString context;

  protected SnmpProxyObjectImpl(OctetString context, OID oid) {
    this.context = context;
    this.oid = oid;
  }

  @Override
  public OctetString getContext() {
    return context;
  }

  public OID getOID() {
    return oid;
  }

  @Override
  public String toString() {
    return "SnmpProxyObjectImpl{" +
        "context=" + context +
        ", oid=" + oid +
        '}';
  }
}
